package net.sergeych.crypto2

import kotlinx.datetime.Instant

interface SigningKey: KeyInstance {
    val verifyingKey: SigningPublicKey
    fun sign(message: UByteArray): UByteArray
    fun seal(message: UByteArray, expiresAt: Instant? = null): Seal
}